Skip to main content
PATCH
Partial update customer

Authorizations

X-Initdesk-Token
string
header
required

Path Parameters

pk
integer
required

The customer ID.

organization_id
string
required

Organization ID or public ID. A numeric value is the organization id. Any other value is the public id and ignores letter case.

Pattern: ^[-a-zA-Z0-9_]+$

Body

name
string
Required string length: 1 - 255
email
string<email> | null
Maximum string length: 254
is_spam
boolean

If true, emails from this customer are marked as spam

company_id
string<uuid> | null
write-only
is_company_manager
boolean

Response

200 - application/json
id
integer
required
read-only
name
string
required
Maximum string length: 255
company
object | null
required

Company id and name when a customer belongs to a company.

email
string<email> | null
Maximum string length: 254
is_spam
boolean

If true, emails from this customer are marked as spam

is_company_manager
boolean